package jeu;

/**
 * Une interface pour les pièces d'un jeu de plateau.
 * 
 * @author Pierre.Courtieu at univ-orleans.fr
 * @author Jeremy.Briffaut at ensi-bourges.fr
 * @version 1.0
 */
public interface Piece {

    /**
     * <code>getIcon</code> retourne un tableau de couleur illustrant
     * la pièce.
     * 
     * @param fond la couleur de fond de la case
     * @return Le tableau de couleurs à afficher pour représenter la pièce. 
     */
    public java.awt.Color[][] getIcon(java.awt.Color fond);

    /**
     * <code>getName</code> retourne le nom de la pièce (1 caractère:
     * O ou X pour le morpion par exemple).
     * 
     * @return le caractère représentant la pièce.
     */
    public Character getName();
    
}
/*
 *** Local Variables: ***
 *** buffer-file-coding-system: utf-8 ***
 *** tab-width: 4 ***
 *** compile-command: "cd ../.. ; javac -d classes -sourcepath src/ src/jeuplateau/Piece.java" ***
 *** End: ***
 */
